<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CruiseBooking StructType
 * @subpackage Structs
 */
class CruiseBooking extends AbstractStructBase
{
    /**
     * The CruiseBookingRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseBooking
     */
    public $CruiseBookingRQ;
    /**
     * Constructor method for CruiseBooking
     * @uses CruiseBooking::setCruiseBookingRQ()
     * @param \StructType\JP_CruiseBooking $cruiseBookingRQ
     */
    public function __construct(\StructType\JP_CruiseBooking $cruiseBookingRQ = null)
    {
        $this
            ->setCruiseBookingRQ($cruiseBookingRQ);
    }
    /**
     * Get CruiseBookingRQ value
     * @return \StructType\JP_CruiseBooking|null
     */
    public function getCruiseBookingRQ()
    {
        return $this->CruiseBookingRQ;
    }
    /**
     * Set CruiseBookingRQ value
     * @param \StructType\JP_CruiseBooking $cruiseBookingRQ
     * @return \StructType\CruiseBooking
     */
    public function setCruiseBookingRQ(\StructType\JP_CruiseBooking $cruiseBookingRQ = null)
    {
        $this->CruiseBookingRQ = $cruiseBookingRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CruiseBooking
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
